Skip to main content
Infrastructure/Agents
DELETEAgentSince 1.0SynchronousAuth Required

ReleaseLock

Release a held lock on an agent using the lock token for authorization

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • agentIdStringRequired

    UUID of the agent whose lock to release

Query Parameters

  • lockTokenString

    Token proving ownership of the lock being released Token proving ownership of the lock being released

Responses

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}

Endpoint

DELETE/api/v1/agents/locks/{agentId}

/api/v1/agents/locks/{agentId}

Operation ID

ReleaseLock

Permalink

Request Example

curl -X DELETE '{host}/api/v1/agents/locks/{agentId}' -H 'Authorization: Bearer {token}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history